Some other examples for 0-dim radical

31 Oct 2017 14:51 - John Abbott

Status: Closed Start date: 31 Oct 2017

Priority: Low Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 1.01 hour

Target version: CoCoA-5.2.4 Spent time: 0.35 hour

Description

I gather here some example ideals where radical was slow.

These may be useful for future testing, "optimiziation", etc

Follow-ups on Slug #948

Related issues:

Related to CoCoA-5 - Slug #948: radical is slow (compared to singular) on the... Closed 18 Oct 2016

Related to CoCoALib - Slug #1105: Primary Decompositon (zero-dim)  slow cases Closed 02 Oct 2017

Related to CoCoALib - Feature #1212: New function: GBasisByHomog Closed 05 Aug 2018

Related to CoCoALib - Feature #1417: RadicalZeroDim with extra parameter for ... In Progress 14 Feb 2020

History

#1 - 31 Oct 2017 14:54 - John Abbott

I am tidying up on my computer, but didn't want to lose these examples.

use QQ[x,y,z,t];

I := ideal(y^2*z^2 +y^3 +z^2*t,  z^4 +z^3*t +x^2*t,  x^4 +x*z^2*t +y^3,  x^3*y +t^4 +z^2*t);  --> more than 88

00 seconds

#2 - 31 Oct 2017 14:55 - John Abbott

Here are some examples where the radical is "large" compared to the original ideal:

(no doubt I generated them randomly)

-- Ideals with "big" radicals  (size of RGB of radI)/(size of RGB of I)

//-------------------------------------------------------

// DEG = 2

// coeffs -1,+1

I := ideal(x^2 +x*y +z^2,  y^2 -y*z -x,  y^2 +z^2 -x);

I := ideal(y^2 +x*z +y*z,  x^2 -y^2 +x*z,  z^2 +x +y);

// coeffs -9..9

I := ideal(8*x^2 -x*y -7*x*z,  3*z^2 -7*x -9*y,  -6*y^2 +8*y*z);

//-------------------------------------------------------

// DEG = 3

// coeffs -1, +1

I := ideal(-z^3 +x^2 -x*y,  -y^3 +x^2*z -x*z^2,  -x^3 -x^2*y -x*z^2);

// coeffs in -9..9

I := ideal(8*z^3 -4*y^2 -6*x,  4*y^3 +2*x^2*z +8*y*z^2,  5*x^3 -2*x*y^2 -x^2*z);

//-------------------------------------------------------

// DEG = 4
// coeffs in -1,+1

I := ideal(x^4 -x^3*y +y^3*z,  -z^4 +x^2*y +y^2*z,  y^3 -x*y*z -x*z^2);

// coeffs in -9..9

I := ideal(x^3 +2*x^2*y -2*y*z^2,  5*y^4 -4*y^3*z +3*y*z^3,  5*z^4 +3*x*y^2 -8*y*z^2);

//-------------------------------------------------------

//deg = 5

I := ideal(-2*x^5 -7*z^5 -9*x^2*z,  -6*z^5 +8*x*z^2 +5*y,  -7*x^5 -y^5 +x^3*y);

TOO SLOW???? [-7*x^2*z^3 -6*x*y^3 +9*y*z^3,  6*x^5 -4*z^5 +y^4,  -3*y^5 -5*x^4*z -7*y^2*z^3] --> more than 500

s

#3 - 28 Nov 2017 14:45 - John Abbott

- Related to Slug #948: radical is slow (compared to singular) on these examples added

#4 - 23 Mar 2018 16:59 - Anna Maria Bigatti

- Subject changed from Radical is slow on these examples to Some other examples for 0-dim radical

- Description updated

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.?.? to CoCoA-5.2.4

#5 - 25 Jul 2018 15:37 - John Abbott

- Target version changed from CoCoA-5.2.4 to CoCoA-5.3.0

#6 - 30 Jul 2018 14:20 - Anna Maria Bigatti

- % Done changed from 0 to 10

Probably better now: we are using timeout.

Run and compare.

#7 - 31 Jul 2018 12:03 - Anna Maria Bigatti

- Target version changed from CoCoA-5.3.0 to CoCoA-5.2.4

- % Done changed from 10 to 100

- Estimated time set to 1.01 h

Checked. They are all reasonably fast using timeout.

Closed.

#8 - 06 Aug 2018 15:51 - Anna Maria Bigatti

- Related to Feature #1178: New function: myPrimaryDecomposition_0dim added
#9 - 06 Aug 2018 15:52 - Anna Maria Bigatti

- Related to deleted (Feature #1178: New function: myPrimaryDecomposition_0dim)

#10 - 06 Aug 2018 15:52 - Anna Maria Bigatti

- Related to Slug #1105: Primary Decompositon (zero-dim)  slow cases added

#11 - 06 Aug 2018 16:08 - Anna Maria Bigatti

- Related to Feature #1212: New function: GBasisByHomog added

#12 - 14 Feb 2020 16:05 - Anna Maria Bigatti

- Related to Feature #1417: RadicalZeroDim with extra parameter for GBasis timeout added
